#![no_std]
#![no_main]

use core::panic::PanicInfo;

use embassy_executor::Spawner;
use embassy_rp::gpio::{Level, Output};

#[panic_handler]
fn panic(_info: &PanicInfo) -> ! {
    loop {}
}

#[embassy_executor::main]
async fn main(_spawner: Spawner) {
    let p = embassy_rp::init(Default::default());

    let mut pin = Output::new(p.PIN_25, Level::High);

    let toggle_led = async {
        loop {
            pin.toggle();
        }
    };

    toggle_led.await;
}
